Get Workers
Fetch workers in a paginated list
Fetch workers in a paginated list
In: header
Query Parameters
ISO 8601 date format ('yyyy-MM-dd') indicating the start date to be used for the summary computation.Default: Current date in UTC.
ISO 8601 date format ('yyyy-MM-dd') indicating the end date to be used for the summary computation.Default: Current date in UTC.
Number of workers to be sent in response
Flag to include worker's schedule in the response.
Flag to include worker's summary stats in the response.
List of ops group handles as comma separated strings used to filter workers.
Profile filter to be applied on the list of workers
List of worker handles as comma separated strings used for fetching associated workers
Keyword to match against worker handle, name, or profile
Identifier used to fetch the next page of data
Unique identifier for a worker's device. This field is present in case the worker is currently linked with a device
Flag to include deleted workers
ISO 8601 datetime indicating the start time to be used for computing summary, status.
ISO 8601 datetime indicating the end time to be used for computing summary, status.
Filter workers on a particular outage code.
List of comma separated outage categories to be used for filtering workers. Valid categories: behavioural,adversarial,reachability,os,sporadic
geofence_metadata filter for aggregate response
Flag set to retrieve aggregated data over the provided time range
URL-encoded json string specifying filters on availability or tracking.
Only list workers that are currently active/inactive/disconnected.
If set to true, only shows workers that were actually tracked during the specified period.
If set to true, only shows workers that actually during the specified period.
If set to true, only shows workers that was supposed to be tracked during the specified period.
Flag to include location permission stats in response (only applicable when aggregate=True).
URL-encoded JSON string used to filter workers from a particular region. Ex {"city":"Detroit"}
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/workers/"{ "workers": [ { "created_at": "2023-10-18T12:41:59.865Z", "device_id": "7B252163-BC27-46B2-8BFD-FFB87D633602", "device_info": { "device_brand": "OnePlus", "device_model": "DN2111", "network_operator": "JIO 4G", "os_hardware_identifier": "10b653a2c0a09e77", "os_name": "Android", "os_version": "11", "sdk_version": "7.0.9+a5a509f3", "timezone": "Asia/Kolkata" }, "device_status": { "data": { "activity": "drive", "recorded_at": "2023-10-24T16:27:52.768Z" }, "value": "active" }, "devices": [ { "device_id": "7B252163-BC27-46B2-8BFD-FFB87D633602", "start_time": "2023-10-183T20:42:38Z" }, { "device_id": "7B252163-BC27-46B2-8BFD-FFB87D633602", "start_time": "2023-10-183T16:02:38Z", "end_time": "2023-10-183T20:41:38Z" } ], "worker_handle": "james@ht.com", "location": { "accuracy": 19.35, "bearing": 352.97, "geometry": { "coordinates": [ -121.94186, 37.3570492, -44.01 ], "type": "Point" }, "speed": 20.2 }, "name": "James", "ops_group_handle": "store-sf", "product_types": [ "plumbing", "hardware" ], "profile": { "zoneId": "4" }, "schedule": [ { "day_of_week": "MONDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "TUESDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "WEDNESDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "THURSDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "FRIDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "SATURDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "SUNDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" } ], "home": { "address": "777 Story Rd, San Jose, CA 95122", "geometry": { "type": "Point", "coordinates": [ -121.8624398, 37.3304521 ] }, "radius": 100 }, "work_status": { "available": false, "tracking": true }, "location_permission": { "recorded_at": "2023-12-19T12:29:54.321Z", "state": "always" }, "unavailable_on": [ "2023-12-15" ], "summary": { "orders": { "completed": 4, "cancelled": 1, "assigned": 0, "tracked": 5, "total": 6 }, "geotags": 4, "visits": 4, "distance": null, "duration": null, "tracking_rate": null } }, { "created_at": "2023-10-06T12:00:45.221Z", "device_id": "71284FFE-D949-4FF7-B238-44C667BE8EF4", "device_status": { "data": { "recorded_at": "2023-10-24T12:51:25.995Z" }, "value": "disconnected" }, "worker_handle": "smith@ht.com", "location": { "accuracy": 35, "bearing": 280.3, "geometry": { "coordinates": [ 20.016091, 50.103046, 250.59 ], "type": "Point" }, "speed": 0 }, "name": "fero", "ops_group_handle": "store-sjc", "profile": { "zoneId": "4" }, "work_status": { "available": false, "tracking": true } }, { "created_at": "2023-07-13T15:05:31.341Z", "worker_handle": "rick@ht.com", "ops_group_handle": "store-okl", "profile": { "zoneId": "4" }, "schedule": [ { "day_of_week": "MONDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "TUESDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "WEDNESDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "THURSDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "FRIDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "SATURDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" }, { "day_of_week": "SUNDAY", "end_time": "18:00", "ops_group_handle": "store-sf", "priority": null, "start_time": "09:00" } ], "work_status": { "available": false, "tracking": false } } ], "pagination_token": "eyJwYWdlX251bWJlciI6IDIzLCJsYXN0X2l0ZW1faWQiOiAxMjM0NQ=="}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}